

var toolbar_banco = [
    {view: 'richselect', id: 'lst_cuentas_banco', label: 'Cuenta',
        labelWidth: 100, options: []},
    {view: 'text', id: 'txt_cuenta_moneda', label: 'Moneda', readonly: true},
    {view: 'currency', id: 'txt_cuenta_saldo', label: 'Saldo', readonly: true,
        inputAlign: 'right', value: 0}
]


var toolbar_filtro_cuenta = [
    {view: 'richselect', id: 'filtro_cuenta_year', label: 'Año',
        labelAlign: 'right', labelWidth: 50, width: 150, options: []},
    {view: 'richselect', id: 'filtro_cuenta_mes', label: 'Mes',
        labelAlign: 'right', labelWidth: 50, width: 200, options: months},
    {view: 'daterangepicker', id: 'filtro_cuenta_fechas', label: 'Fechas',
        labelAlign: 'right', width: 300},
    {},
    {view: 'button', id: 'cmd_agregar_retiro', label: 'Retiro',
        type: 'iconButton', autowidth: true, icon: 'minus'},
    {view: 'button', id: 'cmd_agregar_deposito', label: 'Depósito',
        type: 'iconButton', autowidth: true, icon: 'plus'},
]


var grid_cuentabanco_cols = [
    {id: 'id', header:'ID', hidden: true},
    {id: 'fecha', header: 'Fecha', width: 150},
    {id: 'numero_operacion', header: 'Referencia'},
    {id: 'descripcion', header: ['Descripción', {content: 'textFilter'}],
        fillspace:true},
    {id: 'retiro', header: ['Retiro', {content: 'numberFilter'}],
        width: 125, format: webix.i18n.priceFormat, css: 'right'},
    {id: 'deposito', header: ['Depósito', {content: 'numberFilter'}],
        width: 125, format: webix.i18n.priceFormat, css: 'right'},
    {id: 'saldo', header: ['Saldo'],
        width: 125, format: webix.i18n.priceFormat, css: 'right'},
]


var grid_cuentabanco = {
    view: 'datatable',
    id: 'grid_cuentabanco',
    select: 'row',
    adjust: true,
    footer: true,
    resizeColumn: true,
    headermenu: true,
    columns: grid_cuentabanco_cols,
}


var multi_bancos = {
    id: 'multi_bancos',
    animate: true,
    cells:[
        {id: 'bancos_home', rows:[
            {view: 'toolbar', elements: toolbar_banco},
            {view: 'toolbar', elements: toolbar_filtro_cuenta},
            grid_cuentabanco,
        ]}
        //~ {id: 'partners_new', rows:[form_partner]}
    ],
}


var title_partners = 'Administración de Bancos'
var app_bancos = {
    id: 'app_bancos',
    rows:[
        {view: 'template', id: 'th_bancos', type: 'header',
            template: title_partners},
        multi_bancos
    ]
}


